MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
ThreadInputStream.hxx File Reference
`#include "check.h"`
`#include "InputStream.hxx"`
`#include "thread/Thread.hxx"`
`#include "thread/Cond.hxx"`
`#include <exception>`
`#include <stdint.h>`
Include dependency graph for ThreadInputStream.hxx:

Go to the source code of this file.

## Data Structures
class | CircularBuffer< T >
| A circular buffer. More...
class | ThreadInputStream
| Helper class for moving InputStream implementations with blocking backend library implementation to a dedicated thread. More...